BatchProcessingDialog object has no attribute

2013-10-04 09:14 AM - Steven Horner

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Windows 8 64bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 17476

Description

Just installed and tested the latest Windows 64bit dev release installed with osgeo4w-setup-x86_64.

For the first time in Windows 64bit QGIS I got the GRASS command r.los to work in processing. Unfortunately when I try to run r.los in

BatchMode I get the following error:

'BatchProcessingDialog' object has no attribute 'showDebug'

see log for more details

The log file shows the following:

Uncaught error while executing algorithm

Traceback (most recent call last):

Traceback (most recent call last):

  File "C:/OSGeo4W64/apps/qgis-dev/./python/plugins\\processing\\core\\GeoAlgorithm.py", line 201, in execute

    self.processAlgorithm(progress)

  File "C:/OSGeo4W64/apps/qgis-dev/./python/plugins\\processing\\grass\\GrassAlgorithm.py", line 401, in processAlgorithm

    progress.setCommand(line)

  File "C:/OSGeo4W64/apps/qgis-dev/./python/plugins\\processing\\gui\\AlgorithmExecutionDialog.py", line 334, in setCommand

    if self.showDebug:

AttributeError: 'BatchProcessingDialog' object has no attribute 'showDebug'

I had completed every field the same as when running the command in non BatchMode, so don't think the "object has no attribute" is

related to anything I missed but something in the code.

History

#1 - 2013-10-04 10:18 AM - Filipe Dias

- Assignee set to Victor Olaya

- Category set to 94

#2 - 2013-10-04 02:29 PM - Giovanni Manghi

- Status changed from Open to Feedback

There are still issues with the standalone installers and the processing framework, but seems ok on the osgeo4w installers. I just installed qgis 64 bit with

the osgeo4w64 installer and successfully run r.los in batch mode (on qgis 2.0.1).
Please confirm if works also for you.

#3 - 2013-10-05 09:18 AM - Steven Horner

I tested using the osgeow 64 bit installer and installing 2.0.1 and I can confirm it does indeed work. A problem must exist with the standalone 64bit installer

and the latest master installed with the same osgeow insaller. The original error above is from the nightly build.

Happy I finally have a version working.

#4 - 2013-10-06 03:44 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to invalid

I'll close this because the issue is not in processing itself but in qgis packaging and it was already reported in another ticket.

#5 - 2013-10-06 04:49 AM - Victor Olaya

- Resolution changed from invalid to fixed

It is not a problem in packaging, but actually a bug introduced in master with one of the latest changes I made. I have just fixed it in master. Thanks to both

of you for reporting it!

#6 - 2013-10-06 08:30 AM - Giovanni Manghi

Victor Olaya wrote:

It is not a problem in packaging, but actually a bug introduced in master with one of the latest changes I made. I have just fixed it in master. Thanks

to both of you for reporting it!

ah ok! but anyway grass and grass/processing are broken in the standalone installers, but fixed on osgeo4w(32/64) so I think it is just needed to wait for

new builds.

#7 - 2015-06-07 04:30 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
